# $Revision: 1.27.2.2 $, $Date: 2006/06/01 20:21:45 $
Summary:	Keep passwords and other user's secrets
Summary(pl):	Przechowywanie hase i innych tajnych danych uytkownikw
Name:		gnome-keyring
Version:	0.4.9
Release:	2
License:	LGPL v2+/GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-keyring/0.4/%{name}-%{version}.tar.bz2
# Source0-md5:	9a90820acf11a66e4c3dd9e163231071
Patch0:		%{name}-single-unlock-dialog.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.6.3
BuildRequires:	gtk+2-devel >= 2:2.6.3
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Keyring is a program that keeps password and other secrets for
users. It is run as a deamon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.

The library libgnome-keyring is used by applications to integrate with
the GNOME keyring system.

%description -l pl
GNOME Keyring to program do przechowywania hase i innych tajnych
danych uytkownikw. Dziaa jako demon w sesji, podobnie do
ssh-agenta, a inne aplikacje mog znale go poprzez zmienn
rodowiskow.

Biblioteka libgnome-keyring jest uywana przez aplikacje do integracji
z systemem kluczy GNOME.

%package libs
Summary:	GNOME keyring library
Summary(pl):	Biblioteka GNOME keyring
Group:		Libraries

%description libs
GNOME keyring library.

%description libs -l pl
Biblioteka GNOME keyring.

%package devel
Summary:	Headers for GNOME keyring library
Summary(pl):	Pliki nagwkowe biblioteki GNOME keyring
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.6.3

%description devel
Headers for GNOME keyring library.

%description devel -l pl
Pliki nagwkowe biblioteki GNOME keyring.

%package static
Summary:	Static GNOME keyring libraries
Summary(pl):	Statyczne biblioteki GNOME keyring
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static versions of GNOME keyring libraries.

%description static -l pl
Statyczne biblioteki GNOME keyring.

%prep
%setup -q
%patch0 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-static 

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libexecdir}/%{name}-ask

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-keyring.spec,v $
Revision 1.27.2.2  2006/06/01 20:21:45  freetz
- rel.2, added patch for http://bugzilla.gnome.org/show_bug.cgi?id=331003

Revision 1.27.2.1  2006/05/15 16:18:25  baggins
- merged from HEAD

Revision 1.30  2006/03/13 13:27:10  freetz
- 0.4.9

Revision 1.29  2006/02/27 18:31:31  freetz
- 0.4.8

Revision 1.28  2006/02/13 10:34:32  freetz
- 0.4.7

Revision 1.27  2005/11/14 16:35:04  freetz
- 0.4.6

Revision 1.26  2005/09/15 18:08:09  freetz
- 0.4.5

Revision 1.25  2005/09/06 19:48:20  freetz
- 0.4.4

Revision 1.24  2005/07/03 15:47:11  freetz
- run post/postun ldconfig call in libs not in main package

Revision 1.23  2005/07/03 15:39:25  freetz
- 0.4.3

Revision 1.22  2005/05/10 23:46:36  pluto
- release 3 for Th.

Revision 1.21  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.20  2005/04/10 17:36:17  freetz
- new style macros, rel.2

Revision 1.19  2005/03/07 21:11:18  qboosh
- gpm-friendly Source URL, updated -devel dep

Revision 1.18  2005/03/07 20:26:06  wiget
- updated to 0.4.2

Revision 1.17  2005/01/11 09:51:39  paladine
- updated to 0.4.1, STBR

Revision 1.16  2004/09/13 12:06:00  grzegol
- updated to 0.4.0

Revision 1.15  2004/08/30 13:29:42  grzegol
- updated to 0.3.3
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.14  2004/08/12 21:07:07  ankry
- s/Gnome/GNOME/

Revision 1.13  2004/07/20 22:42:10  grzegol
- updated to 0.3.2

Revision 1.12  2004/07/05 09:00:50  aflinta
- up to version 0.3.1

Revision 1.11  2004/04/19 10:59:44  grzegol
- updated to 0.2.1

Revision 1.10  2004/03/22 12:49:52  grzegol
- updated to 0.2.0

Revision 1.9  2004/03/15 16:33:56  grzegol
- updated to 0.1.91

Revision 1.8  2004/03/08 12:27:57  grzegol
- updated to 0.1.90
- added locale-names patch (changes locale no -> nb)
- regenerate lt/al/ac/am
- updated BRs, strict internal deps

Revision 1.7  2004/02/11 08:47:54  aflinta
- up to version 0.1.4

Revision 1.6  2004/01/30 22:00:22  grzegol
- updated to 0.1.3

Revision 1.5  2004/01/12 17:14:51  grzegol
- updated to 0.1.2

Revision 1.4  2003/12/28 14:13:29  grzegol
- updated to 0.1.1
- moved postun ldconfig to -libs
- added TODO to docs

Revision 1.3  2003/12/16 18:01:44  qboosh
- pl for base
- some Group and deps fixes (libs don't depend on gtk+2, app do)

Revision 1.2  2003/12/16 13:16:57  wrobell
- added libs subpackage
- fixed descriptions and summaries
- rel. 2

Revision 1.1  2003/12/10 17:22:34  wiget
- initial
